package org.dromara.zjk.event;

import org.dromara.zjk.domain.dto.SmsUpInfoDto;
import org.springframework.context.ApplicationEvent;

/**
 * @author : yanguohua
 * @version : 1.0
 * @date : 2024/11/7 16:21
 */
public class SmsUpEvent extends ApplicationEvent {
    private SmsUpInfoDto smsUpInfoDto;

    public SmsUpEvent(Object source, SmsUpInfoDto smsUpInfoDto) {
        super(source);
        this.smsUpInfoDto = smsUpInfoDto;
    }

    public SmsUpInfoDto getSmsUpInfoDto() {
        return smsUpInfoDto;
    }

    public void setSmsUpInfoDto(SmsUpInfoDto smsUpInfoDto) {
        this.smsUpInfoDto = smsUpInfoDto;
    }
}
